Subject: draft-ietf-l2vpn-pbb-vpls-interop-00

From: "Shahram Davari" <[email-masked]>
Date: Tue, 2 Jun 2009 15:52:43 -0700

Hi Shane,

What happened to this draft? did it get updated? I have the following observations regarding this draft:

- This draft seems to list 9 different possibilities, some of which don't solve the problem stated, which is improving VPLS

scalability.

- Some of the options are very complex and very unlikely to be used, such as a case which require simultaneous operation of IB-BEB, B-BEB, PBB and VPLS on the same node.

- There is no new protocol and there is no enforcement or even recommendtion of which option to use. Therefore it doesn't

seem to be a candidate for standard RFC. It could be an Informational RFC.

Given the above what is the plan for this draft?

Thanks,
Shahram

**************

Hi Everyone,

This concludes the call to made this a WG draft. There appears to be good support to make this a WG draft. Would the authors please re- publish the current -01 version as follows:

draft-ietf-l2vpn-pbb-vpls-interop-00

... please address and, if necessary incorporate, changes suggested by WG members (Peng He, Alexander Shafir and others), during this thread into the next revision of the WG draft (-01).

Two other suggestions:

1) We should really add an "Applicability Statement", similar to PWE3 & other drafts, near the very top of this draft. This would make it more clear to the IESG & readers why (& when) this draft is required to fulfill the needs of SP's. My suggested layout for the beginning of this draft would be as follows:

  - Abstract

- Section 1: Introduction -- I would suggest leaving the first paragraph and, perhaps, the second to last and last paragraphs of the existing "Introduction" and try to clean it up a bit by reducing the number of acronyms used. - Section 2: Applicability -- I would suggest taking the rest of the existing Introduction and moving it in this section. Furthermore, the Applicability section should briefly & clearly point out which of the following four categories are relevant to this draft:

        + PBB "just works" with VPLS
        + PBB may not work with VPLS
        + PBB works with VPLS, but not efficiently
        + PBB won't work with VPLS
  - Section 3: Terminology

2) We should also look at reducing the number of acronyms used in the Abstract and Introduction, in order to improve it's readability. It's good that there is Section 2, Terminology, in there to help provide a Glossary ... however, that comes *after* the Abstract & Introduction, so it would be good to tone-down things in those sections until people get to the Terminology section.

We should also look at adding an Applicability Statement section to the other PBB WG draft (draft-ietf-l2vpn-pbb-vpls-pe-model-00) as well, for the same reasons as stated above.

Thanks,

-shane